=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: crash
 Section: utils
 Priority: optional
-Maintainer: Troy Heber <troyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
 Uploaders:
-Build-Depends: debhelper (>= 13), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses5-dev, liblzo2-dev, libsnappy-dev, libzstd-dev, texinfo
-Standards-Version: 4.7.0.0
+Build-Depends: debhelper (>= 13), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses-dev, liblzo2-dev, libsnappy-dev, libzstd-dev, texinfo
+Standards-Version: 4.7.0
 Homepage: https://crash-utility.github.io/
 XS-Testsuite: autopkgtest
