=== debian/tests/control ===
Tests: live
Restrictions: needs-root isolation-machine allow-stderr
Depends: @, lsb-release, software-properties-common, sudo, linux-libc-dev
