=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/crash-$1\.tar\.gz/ \
     https://github.com/crash-utility/crash/tags .*/v?(\d\S+)\.tar\.gz
