## crash 9.0.0

=== debian/changelog ===
crash (9.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 9.0.0
  * Add d/salsa-ci.yml
  * d/control: Add libmpfr-dev to Build-Depends
  * d/lintian-overrides: Update rule syntax
  * d/tests: Drop software-properties-common dependency (Closes: #1108875)
  * d/tests/live: Stop using apt-key (Closes: #1020461)
  * Remove d/Makefile.ori
  * d/copyright: Convert to DEP5 format
  * Document gdb-16.2.tar.gz (Closes: #1120855)

 -- Juerg Haefliger <juergh@proton.me>  Tue, 18 Nov 2025 11:05:04 +0100

crash (8.0.6-2) unstable; urgency=medium

  * Orphan crash

 -- Troy Heber <troyh@debian.org>  Sun, 17 Aug 2025 14:32:47 -0600
