=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 export DEB_BUILD_HARDENING=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export EXTDIR=/usr/lib/crash/extensions
-export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
 
@@ -24,7 +23,7 @@
 	dh_clean
 	cp $(CURDIR)/debian/Makefile.ori $(CURDIR)/Makefile
 	rm -Rf $(CURDIR)/configure
-	rm -Rf $(CURDIR)/gdb-10.2
+	rm -Rf $(CURDIR)/gdb-16.2
 	rm -Rf $(CURDIR)/gdb.files
 	rm -Rf $(CURDIR)/build_data.c
 	rm -Rf $(CURDIR)/extensions/*.so
